<template>
  <div id="app">
    <b-navbar class="nvar" toggleable="sm" type="dark" variant="secondary">
      <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
      <b-navbar-brand href="#">CARTELERA CINEFLY</b-navbar-brand>
      <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav left>
          <b-nav-item @click="close" href="#">Cerrar sesión</b-nav-item>
          <b-nav-item @click="hs" href="#">Historial de compras</b-nav-item>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>
    <router-view />
  </div>
</template>

<script>
import firebase from "firebase";
export default {
  methods: {
    close() {
      firebase
        .auth()
        .signOut()
        .then(function() {})
        .catch(function(error) {
          console.log(error);
        });
      this.$router.push({
        name: "Home"
      });
    },
    hs(){
    this.$router.push({
        name: "history"
      });
    }
  }
};
</script>